"""empty message

Revision ID: ccdc9cdfe713
Revises: 
Create Date: 2021-02-01 11:55:22.701148

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ccdc9cdfe713'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('menulist',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('Dish', sa.String(length=50), nullable=True),
    sa.Column('Price', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('table',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('Table_Name', sa.String(length=50), nullable=True),
    sa.Column('Status', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('bill',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('Table_Name', sa.Integer(), nullable=True),
    sa.Column('Amount', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['Table_Name'], ['table.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('order',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('Dish', sa.Integer(), nullable=True),
    sa.Column('Quantity', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['Dish'], ['menulist.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('sub',
    sa.Column('order_id', sa.Integer(), nullable=True),
    sa.Column('bill_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['bill_id'], ['bill.id'], ),
    sa.ForeignKeyConstraint(['order_id'], ['order.id'], )
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('sub')
    op.drop_table('order')
    op.drop_table('bill')
    op.drop_table('table')
    op.drop_table('menulist')
    # ### end Alembic commands ###
